<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class WelcomeMail extends Mailable
{
    use Queueable, SerializesModels;

    public $user;
    public $tipo;

    public function __construct($user, $tipo)
    {
        $this->user = $user;
        $this->tipo = $tipo;
    }

    public function build()
    {
        return $this->subject('¡Bienvenido a OnAPB!')
                    ->view('emails.welcome');
    }
}
